Subject: bug#56988: Add call-interactively to "never optimize" list for native compilation

From: Lynn Winebarger <[email-masked]>
Date: Sun, 7 Aug 2022 07:32:24 -0400

On Fri, Aug 5, 2022, 8:18 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Lynn Winebarger <[email-masked]> writes:
>
> > Isn't call-interactively only used in the context of requesting user
> > input?  That would seem unlikely to benefit from optimization.
>
> Some interactive specs are pretty involved, and definitely benefit from
> being compiled, so we're not going to stop doing that.

Another possibility would be to ensure there is a standard pdmp file to use
for compiling, regardless of what is being used for the session calling the
compiler.  I know that is not an issue at the moment, but I'm the canary in
the coal mine for when dumping additional native compiled units.  That
feature is way too nice for someone to not get it in the trunk at some
point.

Lynn